import {requestInstance} from "@/service/index";

export function getLabelTaskTableData(params) {
 return requestInstance({
  url:'/DataLabel/queryLabelTaskList',
  data:{
   ...params
  }
 })
}
export function getLabelTaskDetailTableData(CATALOG_CODE) {
 return requestInstance({
  url:'/DataLabel/queryLabelConfigRulesInfoByCid',
  data:{
   "pageIndex": 1,
   "pageSize": 20000,
   "CATALOG_ID":CATALOG_CODE,
   "ASSOCIATED_FIELD_NAME": "",
   "LABEL_STATES": "",
  }
 })
}
export function changeLabelTaskDetailState(params) {
 return requestInstance({
  url:'/DataLabel/updateLabelConfigRules',
  data:{
   ...params
  }
 })
}
export function addLabelTaskD(params){
 return requestInstance({
  url:'/DataLabel/addLabelTaskInfo',
  data:{
   ...params
  }
 })

}
export function editLabelTaskD(params){
 return requestInstance({
  url:'/DataLabel/updateLabelTaskInfo',
  data:{
   ...params
  }
 })

}
export function changeLabelTaskDetailStateHome(params) {
 return requestInstance({
  url:'/DataLabel/updateLabelTaskInfo',
  data:{
   ...params
  }
 })
}
